package com.lukouguoji.gnc.page.stash.details

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.sixin.module_p.R
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.common.Constant
import com.sixin.module_p.base.BasePdaActivity
import com.sixin.module_p.databinding.ActivityPdaGncStashDetailsBinding

class GncPdaStashDetailsActivity :
    BasePdaActivity<ActivityPdaGncStashDetailsBinding, GncPdaStashDetailsViewModel>() {

    override fun layoutId(): Int {
        return R.layout.activity_pda_gnc_stash_details
    }

    override fun viewModelClass(): Class<GncPdaStashDetailsViewModel> {
        return GncPdaStashDetailsViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内出港运单详情")
        viewModel.initOnCreated(intent)
        binding.viewModel = viewModel
    }

    companion object {
        @JvmStatic
        fun start(context: Context, whId: String) {
            val starter = Intent(context, GncPdaStashDetailsActivity::class.java)
                .putExtra(Constant.Key.ID, whId)
            context.startActivity(starter)
        }
    }

}